@keyframes fromRight {
  from {
    transform: translateX(20px);
    opacity: 0.2;
  }

  to {
    transform: translateX(0px);
    opacity: 1;
  }
}

@keyframes bounceBack {
  0% {
    transform: translateY(-10px) scale(1.8) rotate(-40deg);
  }
  50% {
    transform: scale(1);
    transform: rotate(0deg);
  }
  100% {
    transform: translateY(0px);
  }
}

@keyframes scaleOut {
  from {
    transform: scale(1.8);
  }
  to {
    transform: scale(1);
  }
}

@keyframes scalein {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes fromPlace {
  from {
    transform: translateY(-10px);
    opacity: 0.2;
  }

  to {
    transform: translateY(0px);
    opacity: 1;
  }
}

@keyframes fromLeft {
  from {
    transform: translateX(-20px);
    opacity: 0.2;
  }

  to {
    transform: translateX(0px);
    opacity: 1;
  }
}

@keyframes spin {
  100% {
    transform: rotateZ(360deg);
  }
}

@keyframes spinrev {
  100% {
    transform: rotateZ(-360deg);
  }
}

@keyframes gradientspin {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

@keyframes bottomToTop {
  from {
    transform: translateY(100%);
  }
  to {
    transform: translateY(0%);
  }
}

@keyframes bottomToTopOpacity {
  from {
    transform: translateY(80%);
    opacity: 0;
  }
  to {
    transform: translateY(0%);
    opacity: 1;
  }
}

@keyframes topToBottom {
  from {
    transform: translateY(100%);
  }
  to {
    transform: translateY(0%);
  }
}

@keyframes rightToLeft {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(0%);
  }
}

@keyframes fillUniqeAnim {
  from {
    width: 0%;
  }
  to {
    width: 100%;
  }
}

@keyframes rotateSettings {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes expandFromRight {
  0% {
    width: 30%;
  }
  100% {
    width: 100%;
  }
}

@keyframes bouncy {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-3px);
  }
  100% {
    transform: translateY(0px);
  }
}

@keyframes expandTooltip {
  0% {
    height: 0%;
  }
  100% {
    height: 100%;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
